Subject: bug#34927: Curl is not configured to use its dependency libssh2

From: Marius Bakke <[email-masked]>
Date: Thu, 21 Mar 2019 00:54:02 +0100

Leo Famulari <[email-masked]> writes:

> While working on a libssh2 update [0] I noticed that curl was not
> keeping a reference to libssh2, even though libssh2 is an input of the
> curl build.
>
> Our curl package is missing the required configuration option:
>
> ------
> SSH support:      no      (--with-libssh2)
> ------
>
> I assume that our curl package did build with SSH support in the past,
> but I'm not sure.
>
> It's unfortunate that we have to use a graft to update libssh2 even
> though only a few dozen packages refer to it, because of this curl
> issue.
>
> What should we do about curl? Should we remove libssh2 from its inputs,
> or enable the build-time --with-libssh2 configuration option?

Since no one apparently uses it, let's just remove it.  I'm something of
a curl power user and did not know it even had SSH support!

In the mean time, if curl is the only "heavy" user of libssh2, we
can give it a non-public or hidden libssh2 package that stays on version
1.8.0 to avoid the graft.  WDYT?